commit:     7fc5a36f834073654825415bd46c0779501ef8eb
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Sun Apr 18 08:14:39 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Wed May 19 18:41:58 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7fc5a36f

dev-python/python-lsp-jsonrpc: add spyder fork of python-jsonrpc-server

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-python/python-lsp-jsonrpc/Manifest             |  1 +
 ...sonrpc-1.0.0-fix-test-with-ujson-3-and-up.patch | 12 ++++++++
 dev-python/python-lsp-jsonrpc/metadata.xml         | 20 +++++++++++++
 .../python-lsp-jsonrpc-1.0.0.ebuild                | 35 ++++++++++++++++++++++
 4 files changed, 68 insertions(+)

diff --git a/dev-python/python-lsp-jsonrpc/Manifest 
b/dev-python/python-lsp-jsonrpc/Manifest
new file mode 100644
index 00000000000..38ee18a0871
--- /dev/null
+++ b/dev-python/python-lsp-jsonrpc/Manifest
@@ -0,0 +1 @@
+DIST python-lsp-jsonrpc-1.0.0.tar.gz 10011 BLAKE2B 
671490d439f10eebf2d05f221adad25be6f881f4a0f4fa975d4574937a951d4d0bc51264a9ec67d3ef5d112b6e025b551685d3e3c2b959c4a6bcef92d46c5ff3
 SHA512 
447835fc6c3810f486d80f85295089c021b792843bdf88d461c021b8b04407d8f7e6a99c07351a23658a5dff46eb475bc64e51bdec029787cd33330b54d4dfec

diff --git 
a/dev-python/python-lsp-jsonrpc/files/python-lsp-jsonrpc-1.0.0-fix-test-with-ujson-3-and-up.patch
 
b/dev-python/python-lsp-jsonrpc/files/python-lsp-jsonrpc-1.0.0-fix-test-with-ujson-3-and-up.patch
new file mode 100644
index 00000000000..c7b01903761
--- /dev/null
+++ 
b/dev-python/python-lsp-jsonrpc/files/python-lsp-jsonrpc-1.0.0-fix-test-with-ujson-3-and-up.patch
@@ -0,0 +1,12 @@
+diff --git a/test/test_streams.py b/test/test_streams.py
+index bce3ffa..f93cb8d 100644
+--- a/test/test_streams.py
++++ b/test/test_streams.py
+@@ -113,6 +113,7 @@ def test_writer_bad_message(wfile, writer):
+         hour=1,
+         minute=1,
+         second=1,
++        tzinfo=datetime.timezone.utc
+     ))
+ 
+     assert wfile.getvalue() in [

diff --git a/dev-python/python-lsp-jsonrpc/metadata.xml 
b/dev-python/python-lsp-jsonrpc/metadata.xml
new file mode 100644
index 00000000000..8de0ea86732
--- /dev/null
+++ b/dev-python/python-lsp-jsonrpc/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person" proxied="yes">
+               <email>[email protected]</email>
+               <name>Andrew Ammerlaan</name>
+       </maintainer>
+       <maintainer type="project" proxied="proxy">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Python</name>
+       </maintainer>
+       <stabilize-allarches/>
+       <upstream>
+               <remote-id type="pypi">python-lsp-jsonrpc</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/dev-python/python-lsp-jsonrpc/python-lsp-jsonrpc-1.0.0.ebuild 
b/dev-python/python-lsp-jsonrpc/python-lsp-jsonrpc-1.0.0.ebuild
new file mode 100644
index 00000000000..3e5baaabbc4
--- /dev/null
+++ b/dev-python/python-lsp-jsonrpc/python-lsp-jsonrpc-1.0.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="JSON RPC 2.0 server library"
+HOMEPAGE="https://github.com/python-lsp/python-lsp-jsonrpc";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+BDEPEND="
+       test? (
+               dev-python/pycodestyle[${PYTHON_USEDEP}]
+               dev-python/pyflakes[${PYTHON_USEDEP}]
+       )"
+
+RDEPEND=">=dev-python/ujson-3[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+PATCHES=( "${FILESDIR}/${P}-fix-test-with-ujson-3-and-up.patch" )
+
+python_prepare_all() {
+       # Remove pytest-cov dep
+       sed -i -e '0,/addopts/I!d' setup.cfg || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to